apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspace
metadata:
  annotations:
    che.eclipse.org/che-editor: che-incubator/che-code/latest
    che.eclipse.org/devfile-source: |
      factory:
        params: >-
          devWorkspace=https://devspaces.apps.ds-airgap-v12.crw-qe.com/devfile-registry/devfiles/java11-maven-lombok__lombok-project-sample/devworkspace-che-code-latest.yaml&storageType=per-user&url=https://github.com/devspaces-samples/lombok-project-sample/tree/devspaces-3.5-rhel-8
    che.eclipse.org/last-updated-timestamp: '2023-03-02T18:14:24.917Z'
    controller.devfile.io/stopped-by: inactivity
  resourceVersion: '41473451'
  name: java-lombok
  uid: fea9b82c-8c99-42bf-b4e5-17b68d357ce7
  creationTimestamp: '2023-03-02T14:17:31Z'
  generation: 10
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:che.eclipse.org/che-editor': {}
            'f:che.eclipse.org/devfile-source': {}
            'f:che.eclipse.org/last-updated-timestamp': {}
        'f:spec':
          .: {}
          'f:contributions': {}
          'f:routingClass': {}
          'f:template':
            .: {}
            'f:attributes':
              .: {}
              'f:controller.devfile.io/devworkspace-config':
                .: {}
                'f:name': {}
                'f:namespace': {}
              'f:controller.devfile.io/storage-type': {}
            'f:commands': {}
            'f:projects': {}
      manager: unknown
      operation: Update
      time: '2023-03-02T18:14:25Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions': {}
          'f:message': {}
          'f:phase': {}
      manager: devworkspace-controller
      operation: Update
      time: '2023-03-02T18:48:05Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:controller.devfile.io/stopped-by': {}
        'f:spec':
          'f:started': {}
      manager: machine-exec
      operation: Update
      time: '2023-03-02T18:48:05Z'
  namespace: admin-devspaces
  finalizers:
    - storage.controller.devfile.io
    - rbac.controller.devfile.io
  labels:
    controller.devfile.io/creator: 971c5f96-3c05-403d-8e5e-1a569055921b
spec:
  contributions:
    - kubernetes:
        name: che-code-java-lombok
      name: editor
  routingClass: che
  started: false
  template:
    attributes:
      controller.devfile.io/devworkspace-config:
        name: devworkspace-config
        namespace: openshift-devspaces
      controller.devfile.io/storage-type: per-user
    commands:
      - exec:
          commandLine: mvn -X clean install
          component: tools
          group:
            isDefault: true
            kind: build
          workingDir: '${PROJECTS_ROOT}/lombok-project-sample'
        id: build
    projects:
      - name: lombok-project-sample
        zip:
          location: >-
            http://devfile-registry.openshift-devspaces.svc:8080/resources/v2/lombok-project-sample.zip
status:
  conditions:
    - lastTransitionTime: '2023-03-02T18:48:05Z'
      message: Workspace is stopped
      status: 'False'
      type: Started
    - lastTransitionTime: '2023-03-02T18:48:05Z'
      status: Unknown
      type: DevWorkspaceResolved
    - lastTransitionTime: '2023-03-02T18:48:05Z'
      status: Unknown
      type: StorageReady
    - lastTransitionTime: '2023-03-02T18:48:05Z'
      status: Unknown
      type: RoutingReady
    - lastTransitionTime: '2023-03-02T18:48:05Z'
      status: Unknown
      type: ServiceAccountReady
    - lastTransitionTime: '2023-03-02T18:48:05Z'
      status: Unknown
      type: PullSecretsReady
    - lastTransitionTime: '2023-03-02T18:48:05Z'
      status: Unknown
      type: DeploymentReady
    - lastTransitionTime: '2023-03-02T18:48:05Z'
      status: Unknown
      type: Ready
  devworkspaceId: workspacefea9b82c8c9942bf
  mainUrl: >-
    https://devspaces.apps.ds-airgap-v12.crw-qe.com/workspacefea9b82c8c9942bf/che-code-runtime-description/3100/
  message: Stopped
  phase: Stopped
